
package de.ivu.elect.presentation.wahl.exchange;

import de.ivu.elect.business.exchange.entity.DateiImportArt;
import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.jee.exchange.ImportOptions;
import de.ivu.elect.presentation.exchange.ImportDescription;
import de.ivu.elect.presentation.wahl.menu.WahlKonfigurationPageMenu;

public class WahlKonfigurationImportDescription implements ImportDescription {

  private static final long serialVersionUID = 1L;

  @Override
  public String getImportSearchViewId() {
    return WahlKonfigurationImportSearchView.VIEW_ID;
  }

  @Override
  public String getImportFormatFestlegenViewId() {
    return WahlKonfigurationImportFormatFestlegenView.VIEW_ID;
  }

  @Override
  public String getImportBestaetigenViewId() {
    return WahlKonfigurationImportBestaetigenView.VIEW_ID;
  }

  @Override
  public DateiImportArt getDateiImportArt() {
    return DateiImportArt.WAHL_KONFIGURATION_IMPORT;
  }

  @Override
  public boolean isConfirmationForImportNeeded() {
    return false;
  }

  @Override
  public UseCasePermission getUseCasePermission() {
    return UseCasePermission.WAHL_KONFIGURATION_IMPORTIEREN;
  }

  @Override
  public boolean isSpecificPerWahlOrWahltermin() {
    return false;
  }

  @Override
  public String getPageMenuComponentName() {
    return WahlKonfigurationPageMenu.COMPONENT_NAME;
  }

  @Override
  public ImportOptions getDefaultImportOptions() {
    return ImportOptions.IMPORT_VOLLSTAENDIG_UEBERNEHMEN;
  }
}
